
 
#ifndef uchar
        #define     uchar    unsigned char
        #define     uint     unsigned int
        
        #define     true     1
        #define     false    0       
        
        #define     enable   1
        #define     disable  0
#endif
/****************************************/
#include  "reg52.h"
#include  "intrins.h"

// key bit define
sbit     KEY1 = P2^4;       // mode key       
sbit     KEY2 = P2^5;       // - key
sbit     KEY3 = P2^6;       // + key
sbit     KEY4 = P2^7;       // send key

/****************************************/
sbit        iSPI_Scs              =P1^0;
sbit        iSPI_Sck              =P1^3;
sbit        iSPI_Sdi              =P1^2;                   /* mcu -> cc2500 */
sbit        iSPI_Sdo              =P1^1;                   /* mcu <- cc2500 */
sbit        iRF_Gio2              =P3^2;
sbit        iRF_PaEnable          =P1^7;

sbit        iSPI_Irq              =P3^2;
/****************************************/

/****************************************/
#define     C_FIFO_Byte          0x03

#define     C_SYNC_Byte0         0x55
#define     C_SYNC_Byte1         0xaa
/****************************************/
#define   ROW(x)       (0x80|(x << 0x06))
#define   COL(x)       (x)
#define   LEN(x)       ((x-0x01) << 0x03)

//#define   LEN_MASK     0x38
//#define   COL_MASK     0x07
//#define   ROW_MASK     0xC0
//#define   ROW_COL      (ROW_MASK|COL_MASK)
	
#define   HexDisp(x)   HexDispArray[x]
#define   BYTE_LOW(x)  (x & 0x0F) 
#define   BYTE_HIGH(x) ((x & 0xF0)>>0x04)
extern  bit     flag_clear;
extern  bit     flag_master;
extern  bit     flag_transimiter;
extern	 unsigned char count;

extern  uchar   rece_buff[];
extern  uchar   code id_buff[];

extern  uchar   number;
extern  uchar   Time_Count;
extern  uint    Time_second;
extern  uchar    code    demo[4][3];
/****************************************/
extern void delay_2us(unsigned int  delay_cnt);
extern  void    KeyScan(void);
extern 	void ini_lcd(void);
extern  void    PowerOn_Initialisation();
extern  void lcd_printf_string(unsigned char  *disp_str, char row_len_col);
extern  void delay_2us(unsigned int  delay_cnt);
extern  void    Initialisation_RF(void);
//extern  void RF_Clear_Rxfifo(void);
//extern  void RF_Clear_Txfifo(void);
extern  void    RF_Setup_receiver(void);
extern  void    RF_Setup_transmiter(void);
extern  void    RF_Fifo_Read(unsigned char *read_buff);
extern  void    RF_Fifo_Write(unsigned char *write_buff);
